% Calcul de la somme cumulée des éléments d'un vecteur
% vincent.mazet@unistra.fr, 08/2012

% Note : comme tout bon programme, pensez à :
%   - indenter votre code
%   - mettre des commentaires pour expliquer ce que vous faites

clear all;                      % Supprime toutes les variables

% Demande à l'utilisateur la taille du vecteur x
N = input('Quel est le nombre d''éléments (entier positif) ? ');

% Vérifie que N est bien un entier strictement positif
if (N < 1) || (N ~= floor(N)),
    % Si ce n'est pas le cas, génère une erreur
    error('N doit être un entier strictement positif.);
end;

% Crée le vecteur [1 2 3 ... N]
x = 1:N

% Calcule la somme cumulée
y = zeros(1,N);                 % Vecteur des sommes cumulées
y(1) = x(1);
for n = 2:N,
    y(n) = y(n) + x(n);
    end;

% Affichage du résultat
disp('Vecteur x :');
disp(x);
disp('Somme cumulée des éléments de x :');
disp(y);
